/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.jcaprops.support;

import javax.resource.spi.ConnectionRequestInfo;

/**
 * A PropertyTestConnectionRequestInfo.
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.1.2.2 $
 */
public class PropertyTestConnectionRequestInfo implements ConnectionRequestInfo
{
   /** The serialVersionUID */
   private static final long serialVersionUID = 1L;

   public boolean equals(Object other)
   {
      if (other == null || other instanceof PropertyTestConnectionRequestInfo == false)
         return false;
      return true;
   }
   
   public int hashCode()
   {
      return 1;
   }

}
